WordPress asking for FTP details when I Install/Upgrade Plugins

Jovani

Active member
Joined
Jul 10, 2012
Messages
338
Points
28
Hello,

When I installed a new plugin then Wordpress redirected to a page and show the message

Connection Information

To perform the requested action, WordPress needs to access your web server. Please enter your FTP credentials to proceed. If you do not remember your credentials, you should contact your web host.
How to solve this problem? please suggest me ways

thanks in advanced
 

Alex_smith

New member
Joined
Dec 19, 2012
Messages
385
Points
0
Hello Jovani,

Opening your wp-config.php file in root hosting

Add this:

define('FS_METHOD','direct');
And your problem will be solved. I sure that :)

Good luck!
 

Jovani

Active member
Joined
Jul 10, 2012
Messages
338
Points
28
My problem is solved but when I make my wordpress friendly URLs then htaccess file didn't created. what is the problem?
Seem my public_html have not still set chmod 777, right?
 

Alex_smith

New member
Joined
Dec 19, 2012
Messages
385
Points
0
My problem is solved but when I make my wordpress friendly URLs then htaccess file didn't created. what is the problem?
Seem my public_html have not still set chmod 777, right?
For sure, you will need to run 2 these commands ( note that it's very important )

chown -R username:username *
chmod -R 777 /path/to/public_html
777 can change to 775 for security
(change username above to your appropriate username)
Now done. Your problems can be solved. :)
 

Jovani

Active member
Joined
Jul 10, 2012
Messages
338
Points
28
Incredible...everything is working fine as you suggested me. Great!
thanks for that :cheers:
 
Older threads
Replies
7
Views
3,326
Replies
5
Views
4,670
Replies
6
Views
4,015
Newer threads
Replies
2
Views
2,248
Replies
5
Views
3,514
  • Locked
Replies
9
Views
7,691
Replies
9
Views
10,791
Replies
0
Views
4,047

Referral contests

Referral link for :

Sponsors

Popular tags

You are using an out of date browser. It may not display this or other websites correctly.
You should upgrade or use an alternative browser.

Top